
TYPO3.Fluid - Bug # 37543

Status: Closed Priority: Must have
Author: Michel Albers Category: ViewHelpers
Created: 2012-05-28 Assigned To: Bastian Waidelich
Updated: 2013-08-14 Due date:
Has patch: No
Affected Flow version: FLOW3 1.1.0 beta 1
Subject: Additional __identity field when using TYPO3.Media
Description

When using a <f:form.upload /> field for uploading a TYPO3.Media Image, FLUID adds a hidden _identity field for the Image which
results in an "_identity mapping is not allowed" exception when saving the record. Removing the hidden __identity field by deleting

$content .= $this->renderAdditionalIdentityFields();

from FormViewHelper.php on line 127 solves the particular problem. Some further if / else conditions are needed.

History
#1 - 2012-05-28 22:26 - Michel Albers
- Assigned To deleted (Robert Lemke)

#2 - 2012-05-29 06:04 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Assigned To set to Sebastian Kurfuerst

I'll take care of that; the solution you proposed is just a workaround unfortunately.

#3 - 2012-05-30 12:57 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 1.1 RC1

#4 - 2012-06-19 12:26 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

#5 - 2012-06-25 15:15 - Bastian Waidelich
- Status changed from Accepted to Needs Feedback
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

This should be fixed with https://review.typo3.org/#/c/12221/

Can you please confirm?

#6 - 2012-07-10 16:01 - Karsten Dambekalns

I just wrote Michel an email asking again for feedback.
#7 - 2012-07-10 16:03 - Michel Albers

Thanks! I'll check on that this evening!

#8 - 2012-07-10 21:26 - Michel Albers

Still getting the error "it's not allowed to map property __identity" when submitting the upload form with a previously set value. Sorry :/

#9 - 2012-08-03 16:18 - Martin Keck

Two remarks from my point of view (using 1.1 rc2 and TYPO3.Media) to probably make things clearer:
1. The problem only emerges when editing/updating an existing content (or whatever element) having a TYPO3.Media image as property (i. e. in newly
created form there's no _identity hidden field for the image created)
2. I can confirm Michel's comment, that the suggested patch does not change anything (it's already part of rc2). The hidden field's still there, e. g.
<input type="hidden" name="content[image][_identity]" value="11db8fa6-71ad-4f89-a0d3-e75c4c545412" />. Removing it from the HTML output before
submitting the form leads to a correctly updated image.

#10 - 2012-08-17 11:18 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1.1

#11 - 2012-12-14 15:09 - Karsten Dambekalns
- Target version changed from 1.1.1 to 2052

#12 - 2013-01-10 09:48 - Michel Albers

https://review.typo3.org/#/c/15134/ solves this problem!

#13 - 2013-06-03 16:13 - Bastian Waidelich
- Status changed from Needs Feedback to Closed

Thanks for the feedback (I lost track of this one)

#14 - 2013-08-14 15:38 - Karsten Dambekalns
- Target version changed from 2052 to 1.1.1
